--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Parser and handler for incoming Automatic Payment Confirmations from Nochex.
constants: []

full_name: ActiveMerchant::Billing::Integrations::Nochex::Notification
includes: 
- !ruby/object:RI::IncludedModule 
  name: ActiveMerchant::PostsData
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: acknowledge
- !ruby/object:RI::MethodSummary 
  name: complete?
- !ruby/object:RI::MethodSummary 
  name: currency
- !ruby/object:RI::MethodSummary 
  name: gross
- !ruby/object:RI::MethodSummary 
  name: item_id
- !ruby/object:RI::MethodSummary 
  name: payer_email
- !ruby/object:RI::MethodSummary 
  name: received_at
- !ruby/object:RI::MethodSummary 
  name: receiver_email
- !ruby/object:RI::MethodSummary 
  name: security_key
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: test?
- !ruby/object:RI::MethodSummary 
  name: transaction_id
name: Notification
superclass: ActiveMerchant::Billing::Integrations::Notification
